/*
 * Copyright (C) 2018 Robert Bosch GmbH Copyright (C) 2018 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { BrowserAnimationsModule, NoopAnimationsModule } from '@angular/platform-browser/animations';
import { RouterTestingModule } from '@angular/router/testing';

import { BciSidebarFooterComponent } from './bci-sidebar-footer.component';

describe('BciSidebarFooterComponent', () => {
  let component: BciSidebarFooterComponent;
  let fixture: ComponentFixture<BciSidebarFooterComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [RouterTestingModule, NoopAnimationsModule, BrowserAnimationsModule],
        declarations: [BciSidebarFooterComponent],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(BciSidebarFooterComponent);
    component = fixture.componentInstance;
    component.sidebarFooterLinks = [];
    fixture.detectChanges();
  });

  it('should be created', () => {
    expect(component).toBeTruthy();
  });
});
